﻿@{
    ViewData["Title"] = "Home Page";
}
<script>
    $(document).ready(function() {
    const instance = new EducationSelection();
    const Module = new ModuleController();
    Module.__init();
    instance.__init('testcontainer', 'testroute', 'saveRoadMapButton');

    // make the request to the token endpoint
    var tokenUrl = "https://localhost:6001/token"
    sessionStorage.setItem('token', $.getJSON(tokenUrl).responseText);
});
</script>
<div class="container" id="testcontainer"></div>

<footer class="route">
    <div class="container">
        <h2>Mijn studieroute</h2>
        @if (Context.User.Identity.IsAuthenticated)
        {
            <a class="footerbutton" id="saveRoadMapButton">Opslaan</a>
        }
        else
        {
            <a class="footerbutton" asp-area="" asp-controller="Home" asp-action="Login">Log in om op te slaan</a>
        }
    </div>
   <div class="container" id="testroute">
   </div>
</footer>